Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "2eb9e269-93cc-457e-ba13-0bb6fbc2de93",
  "date_start": "2026-11-10T08:24:15.6214754+00:00",
  "date_end": "2026-11-10T08:24:15.6214754+00:00",
  "modified_dateutc": "2026-11-10T08:24:15.6214754+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "020602c2-4f1c-4552-ba91-f0fde23613ea",
  "user_code": "sample string 8",
  "user": {
    "id": "11854c4a-7985-4e33-a89d-1982b04db70d",
    "db_language_id": "34e39daa-ebc6-4550-86b7-a340fa6b1011",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-10T08:24:15.6522091+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "254ac7cf-bd99-4f71-a664-b391d9f7f8e6",
    "sales_organization": {
      "id": "566c3821-c470-4356-a319-566b7c0eda52",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "e6b7c7ff-ff90-43b6-8af0-a9b6bf66e87d",
      "db_currency_id": "5bd2a26e-b733-4209-983e-83a14fdfc3d5",
      "db_language_id": "a56f3e99-6ea1-45ed-99a7-7c51cbe670bb",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-10T08:24:15.6522091+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "283a6074-edca-4730-882f-385bdc9ad253",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "31f2ca16-8641-4264-90ff-f44d149be262",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-10T08:24:15.6522091+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "39d7385e-cf2d-4cfd-891c-fbdc4c756a23"
  },
  "user_unavailability_type_id": "72b4e1cc-6038-4e7a-9de9-b4f32f7c5409",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "2e4334aa-9353-4c87-917c-ab32ea2f7df7",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "e1aa9718-176e-4a53-9344-d145dbec69c3",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "566c3821-c470-4356-a319-566b7c0eda52",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "e6b7c7ff-ff90-43b6-8af0-a9b6bf66e87d",
      "db_currency_id": "5bd2a26e-b733-4209-983e-83a14fdfc3d5",
      "db_language_id": "a56f3e99-6ea1-45ed-99a7-7c51cbe670bb",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-10T08:24:15.6522091+00:00"
    },
    "modified_dateutc": "2026-11-10T08:24:15.6522091+00:00"
  }
}